// BlockPalette.as
// John Maloney, August 2009
//
// A BlockPalette holds the blocks for the selected category.
// The mouse handling code detects when a Block's parent is a BlocksPalette and
// creates a copy of that block when it is dragged out of the palette.

package UI {
	import flash.display.Sprite;	

public class BlockPalette extends Sprite {

	public var color:int = 0x808080;

	public function BlockPalette(w:int, h:int, c:int):void {
		color = c;
		setWidthHeight(w, h);
	}

	public function setWidthHeight(w:int, h:int):void {
		graphics.clear();
		graphics.beginFill(color);
		graphics.drawRect(0, 0, w, h);
		graphics.endFill();
	}

}}
